---------------------------------------------------------------------------------
-- Navision Services per Contacts
---------------------------------------------------------------------------------


-- Adding the services to the ]po[ Freelance Skill Database
drop function nav_import_contact_services();
create or replace function nav_import_contact_services ()
returns integer as $BODY$
DECLARE
        row			RECORD;
	v_user_id		integer;
	v_service_id		integer;
	v_exists_p		integer;
	v_source_language	varchar;
	v_source_language_id	integer;
	v_target_language	varchar;
	v_target_language_id	integer;
	v_skill_type_id		integer;
	v_skill_type_category	varchar;
BEGIN
    FOR row IN
        select	*
	from nav."Contact Service"
	where "Service Name" = 'Translation'
	order by "Contact No_"
    LOOP
	-- Lookup user
	select person_id into v_user_id from persons
	where nav_contact_nr ~ row."Contact No_";
	IF v_user_id is null THEN
		RAISE WARNING 'Did not find user=%', row."Contact No_";
		continue;
	END IF;

	-- Transform source and target languages into ]po[ convention
	v_source_language := lower(substring(row."Source Language" from '^(..)'));
	v_source_language_id := import_cat(v_source_language, 'Intranet Translation Language');
	IF v_source_language_id is null THEN
		RAISE WARNING 'Did not find source language %', v_source_language;
		continue;
	END IF;

	v_target_language := lower(substring(row."Target Language" from '^(..)'));
	IF length(row."Target Language") > 2 THEN
		v_target_language := v_target_language || '_' || lower(substring(row."Target Language" from '^...(..)'));
	END IF;
	v_target_language_id := import_cat(v_target_language, 'Intranet Translation Language');
	IF v_target_language_id is null THEN
		RAISE WARNING 'Did not find target language %', v_target_language;
		continue;
	END IF;
	

	-- Add Source Language
	v_skill_type_id := 2000;
	select count(*) into v_exists_p from im_freelance_skills
	where user_id = v_user_id and skill_id = v_source_language_id;
	IF v_exists_p = 0 THEN
		RAISE NOTICE 'Adding Source Language: User=%, Skill=%', row."Contact No_", v_source_language;
		insert into im_freelance_skills (
			user_id, skill_id, skill_type_id, claimed_experience_id, confirmed_experience_id
		) values (
			v_user_id, v_source_language_id, v_skill_type_id, 2203, 2203
		);
	END IF;


	-- Add Target Language
	v_skill_type_id := 2002;
	select count(*) into v_exists_p from im_freelance_skills
	where user_id = v_user_id and skill_id = v_target_language_id;
	IF v_exists_p = 0 THEN
		RAISE NOTICE 'Adding Target Language: User=%, Skill=%', row."Contact No_", v_target_language;
		insert into im_freelance_skills (
			user_id, skill_id, skill_type_id, claimed_experience_id, confirmed_experience_id
		) values (
			v_user_id, v_target_language_id, v_skill_type_id, 2203, 2203
		);
	END IF;


    END LOOP;
    RETURN 0;
END;$BODY$ language 'plpgsql';
select nav_import_contact_services ();



