# ----------------------------------------------------------
# Run all import scripts
# ----------------------------------------------------------


# Cleanup old log files
rm -f ~/log/import.*.log

# First import table extensions and categories
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import.sql > ~/log/import.nav-import.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-categories.sql > ~/log/import.nav-import-categories.log 2>&1

# Add users from Secure Access and Navision, and then delete the ones not in NAV or SA anymore
# Then import additional info about users including services and tools.
psql -f ~/packages/intranet-navision/sql/postgresql/sa-import-user.sql > ~/log/import.sa-import-user.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-employees.sql > ~/log/import.nav-import-employees.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-contacts.sql  > ~/log/import.nav-import-contacts.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-contacts-tools.sql > ~/log/import.nav-import-contacts-tools.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-contacts-service.sql > ~/log/import.nav-import-contacts-service.log 2>&1

# Disabled while there is an issue with Secure Access import data containing wrong UTF-8 characters
# psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-prune-users.sql > ~/log/import.nav-import-prune-users.log 2>&1

# Now come customer and provider companies
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-customer.sql > ~/log/import.nav-import-customer.log 2>&1
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-vendor.sql > ~/log/import.nav-import-vendor.log 2>&1

# Relationship between users and companies
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-contacts-business-relation.sql > ~/log/import.nav-import-contacts-business-relation.log 2>&1

# Projects require companies and users.
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-projects.sql > ~/log/import.nav-import-projects.log 2>&1

# Financial Document require projects and users
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-receipts.sql > ~/log/import.nav-import-receipts.log 2>&1

# The pricelist requires everything to be there and comes last.
psql -f ~/packages/intranet-navision/sql/postgresql/nav-import-pricelist.sql > ~/log/import.nav-import-pricelist.log 2>&1


